_

Obrys polilini + automatyczny hatch

Forum poświęcone flagowemu produktowi oraz aplikacjom pochodnym Autodesku. To jedyne forum mające w tytule nazwę programu, a to ze względu na jego olbrzymią popularność w Polsce. Można tutaj umieszczać również posty z ogólnie pojętej tematyki "Kreślarskie 2D".

Re: Obrys polilini + automatyczny hatch

Postprzez kg91 » mar 09, 2018 14:22

Hmm ogólnie to takich "odejść" to mam max 4, głównie prostopadłych do głównego gazociągu. To co zrobiliście to i tak kawał dobrej roboty bo zawsze mogę ręcznie trimem obciąć i też kilka dobrych sekund zaoszczędzę względem ręcznego rysowania
kg91
 
Posty: 15
Dołączył(a): lut 14, 2018 10:44

Re: Obrys polilini + automatyczny hatch

Postprzez kojacek » mar 09, 2018 22:21

Rokowania są... póki co dobre <klik>:

HatchPolyNext.gif
Avatar użytkownika
kojacek
 
Posty: 5430
Dołączył(a): paź 03, 2005 20:17

Re: Obrys polilini + automatyczny hatch

Postprzez kg91 » mar 12, 2018 09:07

Jest super :)
kg91
 
Posty: 15
Dołączył(a): lut 14, 2018 10:44

Re: Obrys polilini + automatyczny hatch

Postprzez ziele_o2k » mar 12, 2018 09:38

kojacek napisał(a):Rokowania są... póki co dobre <klik>:

command "_boundary" czy lispowo ?
Ziele
Avatar użytkownika
ziele_o2k
 
Posty: 682
Dołączył(a): mar 18, 2014 11:33
Lokalizacja: Poznań

Re: Obrys polilini + automatyczny hatch

Postprzez kojacek » mar 12, 2018 13:26

ziele_o2k napisał(a):command "_boundary" czy lispowo ?

LISPowo-Regionowo... ;)
Avatar użytkownika
kojacek
 
Posty: 5430
Dołączył(a): paź 03, 2005 20:17

Re: Obrys polilini + automatyczny hatch

Postprzez kojacek » mar 14, 2018 20:09

Avatar użytkownika
kojacek
 
Posty: 5430
Dołączył(a): paź 03, 2005 20:17

Re: Obrys polilini + automatyczny hatch

Postprzez ziele_o2k » mar 14, 2018 22:35

kojacek napisał(a):Całość tutaj:
https://kojacek.wordpress.com/2018/03/14/obrys-polilinii

Test <klik>:

HpoNet.gif

No całkiem nieźle, postudiujemy kod z pewnością :)
Ziele
Avatar użytkownika
ziele_o2k
 
Posty: 682
Dołączył(a): mar 18, 2014 11:33
Lokalizacja: Poznań

Re: Obrys polilini + automatyczny hatch

Postprzez ziele_o2k » mar 15, 2018 08:37

Swoją drogą, jak już jesteśmy przy temacie odsuwania to takie moje narzędzie dość ciekawe wydaje mi się. Mieszanka copy i offeset.
Kod: Zaznacz cały
(defun c:cof ( / *error* sel selLst ang vec exitP dis newPt)
  (defun *error* (msg)
    (foreach obj (car selLst)
      (vla-highlight obj :vlax-false)
    )
    (cd:SYS_UndoEnd)
    (if (not (wcmatch (strcase msg) "*BREAK,*CANCEL*,*EXIT*"))
      (princ (strcat "\nError: " msg))
    )
    (princ)
  )
  (cd:SYS_UndoBegin)
  (if
    (and
      (setq sel (cd:SSX_Convert (ssget "_:L") 1))
      (setq selLst (cons sel selLst))
      (progn
        (foreach obj (car selLst)
          (vla-highlight obj :vlax-true)
        )
        T
      )
      (setq ang (getorient "\nKierunek: "))
      (setq vec (trans (polar '(0.0 0.0 0.0) ang 1.0) 1 0 T)) ; Translate unit vector.
    )
    (while
      (and
        (not exitP)
        (if (= 1 (length selLst))
          (setq dis (getdist "\nOdległość: "))
          (progn
            (initget "Cofnij Zakończ")
            (setq dis (getdist "\nOdległość lub [Cofnij/Zakończ]: "))
          )
        )
      )
      (cond
        ((= "Cofnij" dis)
          (foreach obj (car selLst)
            (vla-delete obj)
          )
          (setq selLst (cdr selLst))
          (foreach obj (car selLst)
            (vla-highlight obj :vlax-true)
          )
        )
        ((= "Zakończ" dis)
          (setq exitP T)
        )
        (T
          (setq newPt (mapcar '* vec (list dis dis dis)))
          (foreach obj (car selLst)
            (vla-highlight obj :vlax-false)
          )
          (setq selLst (cons (vlax-invoke (cd:ACX_ADoc) 'copyobjects (car selLst)) selLst))
          (foreach obj (car selLst)
            (vlax-invoke obj 'move '(0.0 0.0 0.0) newPt)
            (vla-highlight obj :vlax-true)
          )
        )
      )
    )
  )
  (foreach obj (car selLst)
    (vla-highlight obj :vlax-false)
  )
  (cd:SYS_UndoEnd)
  (princ)
)
Ziele
Avatar użytkownika
ziele_o2k
 
Posty: 682
Dołączył(a): mar 18, 2014 11:33
Lokalizacja: Poznań

Re: Obrys polilini + automatyczny hatch

Postprzez kojacek » mar 15, 2018 21:37

ziele_o2k napisał(a):Swoją drogą, jak już jesteśmy przy temacie odsuwania to takie moje narzędzie dość ciekawe wydaje mi się. Mieszanka copy i offeset.

Ja swego czasu zrobiłem podobne takie multiple copy, ale inne niż te z ExpressTool... Przy czym kierunek i odległość pobieram za jednym razem, z draggowaniem zbioru wskazań (acet-util). Poszukam, prze-Pack-uję (bo dość stare jest) i pokażę :)
Avatar użytkownika
kojacek
 
Posty: 5430
Dołączył(a): paź 03, 2005 20:17

Re: Obrys polilini + automatyczny hatch

Postprzez kg91 » mar 19, 2018 14:15

Dziękuję ślicznie, w niedługim czasie przetestuję :)
kg91
 
Posty: 15
Dołączył(a): lut 14, 2018 10:44

Poprzednia stronaNastępna strona

Powrót do AutoCAD

Kto przegląda forum

Użytkownicy przeglądający ten dział: Brak zidentyfikowanych użytkowników